﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TimeBarAndSparkline
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.sparkLine.ItemsSource = this.GetData();
        }

        private List<ContentData> GetData()
        {
            List<ContentData> data = new List<ContentData>()
            {
                new ContentData {TimeStamp = this.timeBar1.PeriodStart, Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 09, 0, 0), Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 10, 0, 0), Value = 3},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 11, 0, 0), Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 19, 0, 0), Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 20, 0, 0), Value = 10},
                new ContentData {TimeStamp = new DateTime(2011, 4, 21, 21, 0, 0), Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 22, 12, 0, 0), Value = 0},
                new ContentData {TimeStamp = new DateTime(2011, 4, 22, 13, 0, 0), Value = 3},
                new ContentData {TimeStamp = new DateTime(2011, 4, 22, 14, 0, 0), Value = 2},
                new ContentData {TimeStamp = new DateTime(2011, 4, 22, 15, 0, 0), Value = 0},
                new ContentData {TimeStamp = this.timeBar1.PeriodEnd, Value = 0}
            };

            return data;
        }
    }

    public class ContentData
    {
        public DateTime TimeStamp { get; set; }

        public double Value { get; set; }
    }
}
